function [bn,be,ll]=LRest(X,Y);

% funkce pro vypocet odhadu v modelu logisticke regrese (LR)
% odhady jsou pocitany maximalizaci logaritmicke verohodnosti
% pomoci MATLABOVSKE funkce ...fminu...

% bn...odhad beta_0 (cislo)
% be...odhad beta (vektor typu p x 1)
% ll...hodnota logaritmicke verohodnosti v bode (bn,be)

% X...matice vysvetlujicich velicin (typu n x p)
% Y...vektor indikujici zarazeni jednotlivych objektu (typu n x 1)

n=size(X,1);  % pocet objektu
p=size(X,2);  % pocet vysvetlujicich velicin
Z=[X,Y];

% vypocet pocatecnich odhadu bn a be
% vyzaduje to funkce fminu
% spocitaji se jako odhady v modelu NDA
[mujedna,munula,lambda,sigma]=NDAest(X,Y);
beNDA=sigma^(-1)*(mujedna-munula);
bnNDA=log(lambda/(1-lambda))-0.5*(mujedna+munula)'*beNDA;
celabetanula=[bnNDA;beNDA];
% llNDA=LRloglik(celabetanula,Z)  tohle slouzilo pri testovani programu

celabeta=fminu('LRloglik_minus',celabetanula,[],[],Z);
bn=celabeta(1);
be=celabeta(2:(p+1));
ll=LRloglik(celabeta,Z);
