function l=LRloglik_minus(celabeta,Z);
% funkce pro vypocet minus logaritmicke verohodnosti v modelu
% logisticke regrese (LR)

% Z...matice[X,Y]
% X...matice dat - vysvetlujici veliciny (typu n x p)
% Y...vektor udavajici zarazeni objektu (typu n x 1)

% celabeta...vektor[bn,be]' (typu (p+1)x1)
% bn...beta_0 - koeficient u absolutniho clenu (cislo)
% be...beta - koeficienty u ostatnich clenu (typu p x 1)

n=size(Z,1);   % pocet objektu    
ppp=size(Z,2); % pocet vysvetlujicich velicin + 1
p=ppp-1;       % pocet vysvetlujicich velicin

X=Z(:,1:p);
Y=Z(:,p+1);

bn=celabeta(1);
be=celabeta(2:(p+1));
soucet = 0;
for i=1:n
   soucet = soucet + (Y(i)*(bn+be'*X(i,:)')) - (log(1+exp(bn+be'*X(i,:)')));
end;
l=-soucet;
